---
---
<!-- HTML header for doxygen 1.8.10-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>TGUI: tgui::Layout Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
<!-- BEGIN CUSTOM 1 -->
<!-- --{{""}}>
{% include head.ext %}
<style>
  div {
    margin-bottom: 0
  }
  #contents {
    padding-left: 0;
    padding-right: 0;
    margin-left: 0;
    margin-right: 0;
    max-width: 1060px;
  }
  address.footer {
    padding-bottom: 1.4em;
  }
</style>
<script type="text/javascript">
function getXPos(item) {
  var x = 0;
  if (item.offsetWidth) {
    while (item && item != document.body && item.id != 'body') {
      x   += item.offsetLeft;
      item = item.offsetParent;
    }
  }
  return x;
}
</script>
<{{""}}!-- -->
<!-- END CUSTOM 1 -->
</head>
<body>
<!-- BEGIN CUSTOM 2 -->
<!-- --{{""}}>
<div id="body" class="NoMargin">
{% include navigation.ext %}
<div id="contents" class="NoMargin">
<{{""}}!-- {% raw %} -->
<!-- END CUSTOM 2 -->
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">TGUI
   &#160;<span id="projectnumber">v0.7-dev</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacetgui.html">tgui</a></li><li class="navelem"><a class="el" href="classtgui_1_1Layout.html">Layout</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classtgui_1_1Layout-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">tgui::Layout Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Class to store the left, top, width or height of a widget.  
 <a href="classtgui_1_1Layout.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="Layout_8hpp_source.html">Layout.hpp</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a6c6954ae4c69cc71cecde644a585bce4"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6c6954ae4c69cc71cecde644a585bce4"></a>
&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Layout.html#a6c6954ae4c69cc71cecde644a585bce4">Layout</a> ()</td></tr>
<tr class="memdesc:a6c6954ae4c69cc71cecde644a585bce4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Default constructor. <br /></td></tr>
<tr class="separator:a6c6954ae4c69cc71cecde644a585bce4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa460f3a9bb8054a1d9ad30ac26360832"><td class="memTemplParams" colspan="2">template&lt;typename T , typename  = typename std::enable_if&lt;std::is_arithmetic&lt;T&gt;::value, T&gt;::type&gt; </td></tr>
<tr class="memitem:aa460f3a9bb8054a1d9ad30ac26360832"><td class="memTemplItemLeft" align="right" valign="top">&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classtgui_1_1Layout.html#aa460f3a9bb8054a1d9ad30ac26360832">Layout</a> (T constant)</td></tr>
<tr class="memdesc:aa460f3a9bb8054a1d9ad30ac26360832"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor to implicitly construct from numeric constant.  <a href="#aa460f3a9bb8054a1d9ad30ac26360832">More...</a><br /></td></tr>
<tr class="separator:aa460f3a9bb8054a1d9ad30ac26360832"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae4f7b2eacf3141b8e39ce1e823953051"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Layout.html#ae4f7b2eacf3141b8e39ce1e823953051">Layout</a> (const char *expression)</td></tr>
<tr class="memdesc:ae4f7b2eacf3141b8e39ce1e823953051"><td class="mdescLeft">&#160;</td><td class="mdescRight">Construct the layout based on a string which will be parsed to determine the value of the layout.  <a href="#ae4f7b2eacf3141b8e39ce1e823953051">More...</a><br /></td></tr>
<tr class="separator:ae4f7b2eacf3141b8e39ce1e823953051"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7c070d8f0ffbe9215a247a9de9e9611f"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Layout.html#a7c070d8f0ffbe9215a247a9de9e9611f">Layout</a> (const std::string &amp;expression)</td></tr>
<tr class="memdesc:a7c070d8f0ffbe9215a247a9de9e9611f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Construct the layout based on a string which will be parsed to determine the value of the layout.  <a href="#a7c070d8f0ffbe9215a247a9de9e9611f">More...</a><br /></td></tr>
<tr class="separator:a7c070d8f0ffbe9215a247a9de9e9611f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af83ad386fab18c6c0c642316961a07cf"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Layout.html#af83ad386fab18c6c0c642316961a07cf">Layout</a> (const <a class="el" href="classtgui_1_1Layout.html">Layout</a> &amp;copy)</td></tr>
<tr class="memdesc:af83ad386fab18c6c0c642316961a07cf"><td class="mdescLeft">&#160;</td><td class="mdescRight">Copy constructor.  <a href="#af83ad386fab18c6c0c642316961a07cf">More...</a><br /></td></tr>
<tr class="separator:af83ad386fab18c6c0c642316961a07cf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0a5c540374f72afc02d3cad2d6e748e4"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classtgui_1_1Layout.html">Layout</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Layout.html#a0a5c540374f72afc02d3cad2d6e748e4">operator=</a> (const <a class="el" href="classtgui_1_1Layout.html">Layout</a> &amp;right)</td></tr>
<tr class="memdesc:a0a5c540374f72afc02d3cad2d6e748e4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Overload of assignment operator.  <a href="#a0a5c540374f72afc02d3cad2d6e748e4">More...</a><br /></td></tr>
<tr class="separator:a0a5c540374f72afc02d3cad2d6e748e4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a14261ffd87a425ce05c9fe9b11158482"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Layout.html#a14261ffd87a425ce05c9fe9b11158482">getValue</a> () const </td></tr>
<tr class="memdesc:a14261ffd87a425ce05c9fe9b11158482"><td class="mdescLeft">&#160;</td><td class="mdescRight">Return the cached value of the layout.  <a href="#a14261ffd87a425ce05c9fe9b11158482">More...</a><br /></td></tr>
<tr class="separator:a14261ffd87a425ce05c9fe9b11158482"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aebcc0cbf08682cca93462c059cd9b67f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aebcc0cbf08682cca93462c059cd9b67f"></a>
<a class="el" href="classtgui_1_1Layout.html">Layout</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Layout.html#aebcc0cbf08682cca93462c059cd9b67f">operator+</a> ()</td></tr>
<tr class="memdesc:aebcc0cbf08682cca93462c059cd9b67f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Unary plus operator for the <a class="el" href="classtgui_1_1Layout.html" title="Class to store the left, top, width or height of a widget. ">Layout</a> class. <br /></td></tr>
<tr class="separator:aebcc0cbf08682cca93462c059cd9b67f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8eb54bae1cda2b718d5ded141371a0a0"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8eb54bae1cda2b718d5ded141371a0a0"></a>
<a class="el" href="classtgui_1_1Layout.html">Layout</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Layout.html#a8eb54bae1cda2b718d5ded141371a0a0">operator-</a> ()</td></tr>
<tr class="memdesc:a8eb54bae1cda2b718d5ded141371a0a0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Unary minus operator for the <a class="el" href="classtgui_1_1Layout.html" title="Class to store the left, top, width or height of a widget. ">Layout</a> class. <br /></td></tr>
<tr class="separator:a8eb54bae1cda2b718d5ded141371a0a0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af3cf330434a22b75d6a9ae17395bddbb"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af3cf330434a22b75d6a9ae17395bddbb"></a>
<a class="el" href="classtgui_1_1Layout.html">Layout</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Layout.html#af3cf330434a22b75d6a9ae17395bddbb">operator+=</a> (<a class="el" href="classtgui_1_1Layout.html">Layout</a> right)</td></tr>
<tr class="memdesc:af3cf330434a22b75d6a9ae17395bddbb"><td class="mdescLeft">&#160;</td><td class="mdescRight">+= operator for the <a class="el" href="classtgui_1_1Layout.html" title="Class to store the left, top, width or height of a widget. ">Layout</a> class <br /></td></tr>
<tr class="separator:af3cf330434a22b75d6a9ae17395bddbb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a59c8284392e8fb4a7c4d39092276baf3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a59c8284392e8fb4a7c4d39092276baf3"></a>
<a class="el" href="classtgui_1_1Layout.html">Layout</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Layout.html#a59c8284392e8fb4a7c4d39092276baf3">operator-=</a> (<a class="el" href="classtgui_1_1Layout.html">Layout</a> right)</td></tr>
<tr class="memdesc:a59c8284392e8fb4a7c4d39092276baf3"><td class="mdescLeft">&#160;</td><td class="mdescRight">-= operator for the <a class="el" href="classtgui_1_1Layout.html" title="Class to store the left, top, width or height of a widget. ">Layout</a> class <br /></td></tr>
<tr class="separator:a59c8284392e8fb4a7c4d39092276baf3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a617e7f96124bd49b726f821cfa8fbaac"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a617e7f96124bd49b726f821cfa8fbaac"></a>
<a class="el" href="classtgui_1_1Layout.html">Layout</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Layout.html#a617e7f96124bd49b726f821cfa8fbaac">operator*=</a> (<a class="el" href="classtgui_1_1Layout.html">Layout</a> right)</td></tr>
<tr class="memdesc:a617e7f96124bd49b726f821cfa8fbaac"><td class="mdescLeft">&#160;</td><td class="mdescRight">*= operator for the <a class="el" href="classtgui_1_1Layout.html" title="Class to store the left, top, width or height of a widget. ">Layout</a> class <br /></td></tr>
<tr class="separator:a617e7f96124bd49b726f821cfa8fbaac"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a46bdfcffcf6fb3ce7b69602a261cb5c7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a46bdfcffcf6fb3ce7b69602a261cb5c7"></a>
<a class="el" href="classtgui_1_1Layout.html">Layout</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Layout.html#a46bdfcffcf6fb3ce7b69602a261cb5c7">operator/=</a> (<a class="el" href="classtgui_1_1Layout.html">Layout</a> right)</td></tr>
<tr class="memdesc:a46bdfcffcf6fb3ce7b69602a261cb5c7"><td class="mdescLeft">&#160;</td><td class="mdescRight">/= operator for the <a class="el" href="classtgui_1_1Layout.html" title="Class to store the left, top, width or height of a widget. ">Layout</a> class <br /></td></tr>
<tr class="separator:a46bdfcffcf6fb3ce7b69602a261cb5c7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a78dcb3a278f27e73e303e67595758341"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a78dcb3a278f27e73e303e67595758341"></a>
<a class="el" href="classtgui_1_1Layout.html">Layout</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Layout.html#a78dcb3a278f27e73e303e67595758341">operator%=</a> (<a class="el" href="classtgui_1_1Layout.html">Layout</a> right)</td></tr>
<tr class="memdesc:a78dcb3a278f27e73e303e67595758341"><td class="mdescLeft">&#160;</td><td class="mdescRight">%= operator for the <a class="el" href="classtgui_1_1Layout.html" title="Class to store the left, top, width or height of a widget. ">Layout</a> class (floating point modulo) <br /></td></tr>
<tr class="separator:a78dcb3a278f27e73e303e67595758341"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Class to store the left, top, width or height of a widget. </p>
<p>You don't have to create an instance of this class, numbers are implicitly cast to this class. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="aa460f3a9bb8054a1d9ad30ac26360832"></a>
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T , typename  = typename std::enable_if&lt;std::is_arithmetic&lt;T&gt;::value, T&gt;::type&gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">tgui::Layout::Layout </td>
          <td>(</td>
          <td class="paramtype">T&#160;</td>
          <td class="paramname"><em>constant</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Constructor to implicitly construct from numeric constant. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">constant</td><td>Value of the layout </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ae4f7b2eacf3141b8e39ce1e823953051"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">tgui::Layout::Layout </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>expression</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Construct the layout based on a string which will be parsed to determine the value of the layout. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">expression</td><td>String to parse </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a7c070d8f0ffbe9215a247a9de9e9611f"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">tgui::Layout::Layout </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>expression</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Construct the layout based on a string which will be parsed to determine the value of the layout. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">expression</td><td>String to parse </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="af83ad386fab18c6c0c642316961a07cf"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">tgui::Layout::Layout </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Layout.html">Layout</a> &amp;&#160;</td>
          <td class="paramname"><em>copy</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Copy constructor. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">copy</td><td>Instance to copy </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="a14261ffd87a425ce05c9fe9b11158482"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float tgui::Layout::getValue </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Return the cached value of the layout. </p>
<dl class="section return"><dt>Returns</dt><dd>Value of the layout </dd></dl>

</div>
</div>
<a class="anchor" id="a0a5c540374f72afc02d3cad2d6e748e4"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classtgui_1_1Layout.html">Layout</a>&amp; tgui::Layout::operator= </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Layout.html">Layout</a> &amp;&#160;</td>
          <td class="paramname"><em>right</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Overload of assignment operator. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">right</td><td>Instance to assign</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Reference to itself </dd></dl>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>include/TGUI/<a class="el" href="Layout_8hpp_source.html">Layout.hpp</a></li>
</ul>
</div><!-- contents -->
<!-- HTML footer for doxygen 1.8.10-->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Sat Nov 25 2017 17:32:43 for TGUI by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.11
</small></address>
<!-- BEGIN CUSTOM 3 -->
<!-- {% endraw %} -{{""}}-{{""}}>
</div>
{% include page_footer.ext %}
</div>
{% include footer.ext %}
<{{""}}!{{""}}-{{""}}- -->
<!-- END CUSTOM 3 -->
</body>
</html>
